Bug 218722 - [maintainer] Update news/sabnzbdplus to version 2.0.0
Summary: [maintainer] Update news/sabnzbdplus to version 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-18 07:21 UTC by joshruehlig
Modified: 2017-06-12 16:04 UTC (History)
5 users (show)

See Also:
joshruehlig: maintainer-feedback+


Attachments
update news/sabnzbdplus to version 2.0.0 (2.33 KB, patch)
2017-04-18 07:21 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
new port: news/py-sabyenc (2.84 KB, patch)
2017-04-20 08:04 UTC, Ralf van der Enden
tremere: maintainer-approval?
Details | Diff
New Port news/sabyenc (1.93 KB, text/plain)
2017-05-07 17:03 UTC, joshruehlig
no flags Details
sabnzbdplus patch (3.12 KB, patch)
2017-06-12 01:53 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2017-04-18 07:21:07 UTC
Updates news/sabnzbdplus to version 2.0.0
https://github.com/sabnzbd/sabnzbd/releases/tag/2.0.0

- Version 2.0.0 has a bug that the maintainer is not going to push a point release for. I fix the error using REINPLACE, and this can be removed with the next update of sabnzbd.
https://github.com/sabnzbd/sabnzbd/pull/895

- A new optional dependency "sabyenc" can now be installed with 'pip'. I successfully tested this by doing the following...
`pkg install py27-pip
pip install sabyenc`
If others think it would be helpful, we could add a note to pkg-message.
Comment 1 joshruehlig 2017-04-18 07:21:48 UTC
Created attachment 181860 [details]
update news/sabnzbdplus to version 2.0.0
Comment 2 Ralf van der Enden 2017-04-20 08:04:05 UTC
Created attachment 181931 [details]
new port: news/py-sabyenc

I've added a diff to add a port for news/py-sabenc version 3.0.2, which should be more convenient for most people than use pip.
Comment 3 joshruehlig 2017-04-20 09:24:48 UTC
(In reply to Ralf van der Enden from comment #2)

great, I was hoping we could have something like that!

should that be in a separate request? and once that is accepted we can make sabnzbdplus option for YENC a MULTI option, that can choose either dependency.
Comment 4 Martin Wilke freebsd_committer 2017-05-05 14:53:10 UTC
Hi,

Can you please submit the new port as a shar?

Thanks.
Comment 5 joshruehlig 2017-05-05 17:09:13 UTC
Here's a ideal list of events.

* sabyenc port is added

* sabnzbd v2.0.1 is released
- this fixes a bug I had to add a workaround for

* sabnzbd port is updated
- add OPTIONS_SINGLE that allows either sabyenc or yenc
Comment 6 joshruehlig 2017-05-07 17:03:05 UTC
Created attachment 182370 [details]
New Port news/sabyenc

Here is a shar from the diff Ralf van der Enden uploaded. If we could get this added to the ports tree we can add it as an optional dependency for sabnzbd.
Comment 7 joshruehlig 2017-06-02 23:39:47 UTC
Hi Martin,
When you have a chance, could you review the shar I submitted for sabyenc? I would like to get this available in the ports tree so it can be an optional dependency for sabnzbdplus.

Thanks
Josh
Comment 8 Tim Bishop freebsd_committer 2017-06-09 10:52:39 UTC
(In reply to joshruehlig from comment #7)

Thoughts on whether it should be news/py-sabyenc or news/sabyenc? The existing yenc is news/py-yenc.
Comment 9 joshruehlig 2017-06-09 10:58:05 UTC
(In reply to Tim Bishop from comment #8)

I think news/py-sabyenc makes sense, especially if the ports tree can build python version specific of packages like py27-sabyenc.
Comment 10 commit-hook freebsd_committer 2017-06-09 18:49:00 UTC
A commit references this bug:

Author: tdb
Date: Fri Jun  9 18:47:56 UTC 2017
New revision: 443034
URL: https://svnweb.freebsd.org/changeset/ports/443034

Log:
  New port: news/py-sabyenc

  Modified the original yenc module by Alessandro Duca alessandro.duca@gmail.com
  for use within SABnzbd.

  The module was extended to do header parsing and full yEnc decoding from a
  Python list of chunks, the way in which data is retrieved from usenet. This is
  particularly beneficial when SSL is enabled, which limits the size of each
  chunk to 16K. Parsing these chunks in Python is much more costly. Additionally,
  this module releases Python's GIL during decoding, greatly increasing
  performance of the overall download process.

  WWW: https://github.com/sabnzbd/sabyenc

  PR:		218722
  Submitted by:	Ralf van der Enden <tremere@cainites.net>

Changes:
  head/news/Makefile
  head/news/py-sabyenc/
  head/news/py-sabyenc/Makefile
  head/news/py-sabyenc/distinfo
  head/news/py-sabyenc/pkg-descr
  head/news/py-sabyenc/pkg-plist
Comment 11 Tim Bishop freebsd_committer 2017-06-09 18:49:53 UTC
As you can see, I've added sabyenc to the ports tree. So you can now update sabnzbd accordingly. I also note there's a 2.0.1 out now, so your fix should be included in that version, I think?
Comment 12 commit-hook freebsd_committer 2017-06-09 18:58:10 UTC
A commit references this bug:

Author: tdb
Date: Fri Jun  9 18:57:50 UTC 2017
New revision: 50348
URL: https://svnweb.freebsd.org/changeset/doc/50348

Log:
  Add Ralf van der Enden for news/py-sabyenc.

  PR:		218722

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 13 joshruehlig 2017-06-09 19:00:52 UTC
(In reply to Tim Bishop from comment #11)

Great, thanks Tim.
Actually an even newer version, 2.1.0 was released today =]

I'll work on updating the attached patch soon
- The REINPLACE fix I included is no longer needed, since this bug only affected version 2.0.0
- I'll make yenc and sabyenc dependencies you can choose from
Comment 14 joshruehlig 2017-06-12 01:53:48 UTC
Created attachment 183415 [details]
sabnzbdplus patch

This patch updates news/sabnzbdplus to version 2.1.0. Notable changes to the port...

* GH_TAGNAME does not need to be specified because the sabnzbdplus developer tagged the proper branch on github

* depends on py-sabyenc now instead of py-yenc
Comment 15 commit-hook freebsd_committer 2017-06-12 16:01:40 UTC
A commit references this bug:

Author: tdb
Date: Mon Jun 12 16:01:21 UTC 2017
New revision: 443453
URL: https://svnweb.freebsd.org/changeset/ports/443453

Log:
  - Update SABnzbd to 2.1.0.
  - GH_TAGNAME no longer needed now it is correctly tagged in GitHub.
  - Uses py-sabyenc instead of py-yenc as recommended upstream.

  PR:		218722
  Submitted by:	joshruehlig@gmail.com (maintainer)

Changes:
  head/news/sabnzbdplus/Makefile
  head/news/sabnzbdplus/distinfo
  head/news/sabnzbdplus/pkg-plist
Comment 16 joshruehlig 2017-06-12 16:03:23 UTC
Awesome, thanks Tim
Comment 17 Tim Bishop freebsd_committer 2017-06-12 16:04:41 UTC
Committed - thanks! Sorry it's taken so long for this bug to get committed. Feel free to ping me if future updates to this port need committing.